package com.macro.mall.tiny.modules.business.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author gjs
 * @description
 * @date 2021/3/25 10:17
 */
@Getter
@Setter
public class SensorQueryParam {

    @NotBlank
    @ApiModelProperty(value = "线路名称")
    private String lineName;

    @ApiModelProperty(value = "设备Mac地址")
    private String deviceMac;
}
