package com.macro.mall.tiny.modules.business.mapper;

import com.macro.mall.tiny.modules.business.model.KrBLine;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author macro
 * @since 2021-09-07
 */
public interface KrBLineMapper extends BaseMapper<KrBLine> {

    KrBLine findById(@Param("id") Long id);

    List<KrBLine> findListMulti();

    List<KrBLine> findListByKey(@Param("key") String key, @Param("provinceId") String provinceId, @Param("cityId") String cityId);

    List<KrBLine> findByKeySimple(@Param("key") String key, @Param("provinceId") String provinceId, @Param("cityId") String cityId);
}
