package com.macro.mall.tiny.modules.business.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author macro
 * @since 2021-09-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("kr_b_region_city")
@ApiModel(value="KrBRegionCity对象", description="城市表")
public class KrBRegionCity implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "@desc: 自增ID")
    private Long id;

    @ApiModelProperty(value = "@desc: 区、县名称")
    private String name;

    @ApiModelProperty(value = "@desc: 城市ID")
    private String cityId;

    @ApiModelProperty(value = "@desc: 省份ID")
    private String provinceId;


}
