package com.macro.mall.tiny.modules.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.macro.mall.tiny.modules.business.model.BFile;
import com.macro.mall.tiny.modules.business.model.KrBLine;

import java.util.List;

/**
 * <p>
 * 线路表 服务类
 * </p>
 *
 * @author macro
 * @since 2021-03-24
 */
public interface KrBLineService extends IService<KrBLine> {

    KrBLine findById(Long id);

    List<KrBLine> getLineList();

    List<KrBLine> findByKey(String key, String provinceId, String cityId);

    List<KrBLine> findByKeySimple(String key, String provinceId, String cityId);

    List<BFile> getFile(Long id);
}
