package com.macro.mall.tiny.modules.business.service;

import com.macro.mall.tiny.modules.business.model.KrBSensor;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author macro
 * @since 2021-10-20
 */
public interface KrBSensorService extends IService<KrBSensor> {

    List<KrBSensor> get(String lineName, String deviceMac);

    List<KrBSensor> findSensorByLine(Long lineId);

    boolean openListenByLine(Long lineId);

    boolean closeListenByLine(Long lineId);
}
